# htp on-line reference : BLOCKDEF, /BLOCKDEF

## syntax

`<set time="0">
<block name=a>
a is expanded at time <use time>.
</block>
<block name=b expand>
b is expanded at time <use time>.
</block>
<set time="1">
<use a>
<use b>
contents of a: <use a noexpand>
contents of b: <use b noexpand>
<block name=c expand>
c is expanded at time <use time>; <use a>
</block>
<block name=d expand>
d is expanded at time <use time>; <use a noexpand>
</block>
<block name=e>
e is expanded at time <use time>; <use a noexpand>
</block>
<set time="2">
<block name=a>
a is defined for the 2nd time <use time>.
</block>
<use c>
<use d>
<use e>
`

## synopsis

BLOCKDEF creates block metatags, which is a fancy way of saying it creates new block tags. A block tag is a tag that takes a whole block as additional parameter. This block is surrounded by <tagname> and </tagname>. The contents of this block are automatically stored in the block macro named BLOCK.

For example:

`<img src="filename" ...>
`

All block metatags have the implicit option EXPAND, which tells htp to expand the contents of the block before the definition is expanded.

A more thorough discussion and more elaborate examples are discussed in the metatag section.

hosted by Sourceforge HTML coding

Copyright © 1995–96 Jim Nelson. Copyright © 2001–2014 Jochen Hoenicke. Permission to reproduce and distribute this hypertext document granted according to terms described in the License section. last updated Sat May 16, 2015